org.eclipse.oomph.ui

## Class PersistentButton.ToggleCommandPersistence

- java.lang.Object
- - org.eclipse.oomph.ui.PersistentButton.Persistence
  - - org.eclipse.oomph.ui.PersistentButton.ToggleCommandPersistence

- Enclosing class:
    PersistentButton

      public static final class PersistentButton.ToggleCommandPersistence
      extends PersistentButton.Persistence

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentButton.ToggleCommandPersistence(String commandID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommandID()`
    `protected boolean` | `load(boolean defaultSelection)`
    `protected void` | `save(boolean selection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentButton.ToggleCommandPersistence

          public PersistentButton.ToggleCommandPersistence(String commandID)

  - ### Method Detail

    - #### getCommandID

          public String getCommandID()

    - #### load

          protected boolean load(boolean defaultSelection)

      Specified by:
        `load` in class `PersistentButton.Persistence`

    - #### save

          protected void save(boolean selection)

      Specified by:
        `save` in class `PersistentButton.Persistence`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html